APPLIST = cflowdmux flowwatch cfdnets cfdprotos cfdtos cflowd cfdases \
	  cfdportmatrix cfdifmatrix cfdcollect cfdnexthops flowdump

all: ${APPLIST}

cflowdmux::
	cd cflowdmux; ${MAKE}

cflowd::
	cd cflowd; ${MAKE}

flowwatch::
	cd flowwatch; ${MAKE}

cfdnets::
	cd cfdnets; ${MAKE}

cfdprotos::
	cd cfdprotos; ${MAKE}

cfdtos::
	cd cfdtos; ${MAKE}

cfdases::
	cd cfdases; ${MAKE}

cfdportmatrix::
	cd cfdportmatrix; ${MAKE}

cfdifmatrix::
	cd cfdifmatrix; ${MAKE}

cfdcollect::
	cd cfdcollect; ${MAKE}

cfdnexthops::
	cd cfdnexthops; ${MAKE}

flowdump::
	cd flowdump; ${MAKE}

clean::
	for app in ${APPLIST}; do \
	  cd $$app ; ${MAKE} clean ; cd .. ; \
	done

strip: all
	for app in ${APPLIST}; do \
	  cd $$app ; ${MAKE} strip ; cd .. ; \
	done

install: all
	for app in ${APPLIST}; do \
	  cd $$app ; ${MAKE} install ; cd .. ; \
	done

tarball::
	for app in ${APPLIST}; do \
	  cd $$app ; ${MAKE} tarball ; cd .. ; \
	done


